Bug 50548 - glibc SIGSEGV in wcscoll() in "hr_HR.utf8" locale
Summary: glibc SIGSEGV in wcscoll() in "hr_HR.utf8" locale
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-01 03:15 UTC by Martin Sebor
Modified: 2016-11-24 15:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 20:12:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:121 normal SHIPPED_LIVE GNU C Library bugfix update 2001-10-04 04:00:00 UTC

Description Martin Sebor 2001-08-01 03:15:20 UTC
$ cat t.cpp ; gcc -g t.cpp && ./a.out ; echo bt | gdb -q ./a.out core
#include <locale.h>
#include <wchar.h>

int main ()
{
    const wchar_t s1[] = {
        0xcc, 0x2a, 0x2f, 0xb, 0x6a, 0x64, 0x71, 0x9f,
        0x19, 0xcb, 0xce, 0xf9, 0xda, 0x59, 0xef, 0x0
    };

    const wchar_t s2[] = {
        0xcc, 0x2a, 0x2f, 0xb, 0x6a, 0x64, 0x71, 0x8d,
        0x6c, 0x63, 0x5f, 0x9a, 0x38, 0x55, 0x3c, 0x0
    };

    if (!setlocale (LC_COLLATE, "hr_HR.utf8"))
        return 1;

    wcscoll (s1, s2);
}

Segmentation fault (core dumped)
Core was generated by `./a.out'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libc.so.6.1...done.
Loaded symbols for /lib/libc.so.6.1
Reading symbols from /lib/ld-linux-ia64.so.2...done.
Loaded symbols for /lib/ld-linux-ia64.so.2
#0  wcscoll () at ../locale/weightwc.h:44
44      ../locale/weightwc.h: No such file or directory.
        in ../locale/weightwc.h
(gdb) Hangup detected on fd 0
error detected on stdin

Comment 1 Jakub Jelinek 2001-08-07 09:09:14 UTC
Ulrich Drepper fixed this yesterday in glibc CVS, the fix will appear
in glibc-2.2.4-3.

Comment 2 Bill Nottingham 2006-08-04 20:12:21 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.


Note You need to log in before you can comment on or make changes to this bug.